Read value-code-sets
curl --request GET \
--url https://wisepim.com/api/public/v1/value-code-sets/{resource_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://wisepim.com/api/public/v1/value-code-sets/{resource_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://wisepim.com/api/public/v1/value-code-sets/{resource_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"name": "<string>",
"code": "<string>",
"description": "<string>",
"allow_new_values": true,
"new_value_handling": "<string>",
"id": 123
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>",
"detail": [
{}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}Read value-code-sets
GET /value-code-sets/. Required scopes: value-code-sets:read.
GET
/
api
/
public
/
v1
/
value-code-sets
/
{resource_id}
Read value-code-sets
curl --request GET \
--url https://wisepim.com/api/public/v1/value-code-sets/{resource_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://wisepim.com/api/public/v1/value-code-sets/{resource_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://wisepim.com/api/public/v1/value-code-sets/{resource_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"name": "<string>",
"code": "<string>",
"description": "<string>",
"allow_new_values": true,
"new_value_handling": "<string>",
"id": 123
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>",
"detail": [
{}
]
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}{
"error": "<string>",
"request_id": "<string>",
"code": "<string>"
}Authorizations
Use a project API key from Settings > API Access. Send it as Authorization: Bearer wpk_.... See authentication and scopes for setup and permissions.
Path Parameters
Response
OK
Display name (e.g., 'ABS Pipe Fittings - Fitting/Connector Type')
Maximum string length:
200Unique identifier (e.g., 'abs_pipe_fittings_type')
Maximum string length:
100Description of this code set and its intended use
Whether new values can be dynamically added during product import
How to handle values not in this code set during product import
Maximum string length:
20
